"use strict";

exports.__esModule = true;
exports.FieldCheckboxGroup = exports.FieldRadioGroup = exports.FieldSelect = exports.FieldCheckbox = exports.FieldRadio = exports.FieldText = exports.FieldInput = undefined;

var _objectWithoutProperties2 = require("babel-runtime/helpers/objectWithoutProperties");

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _extends2 = require("babel-runtime/helpers/extends");

var _extends3 = _interopRequireDefault(_extends2);

var _classCallCheck2 = require("babel-runtime/helpers/classCallCheck");

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _possibleConstructorReturn2 = require("babel-runtime/helpers/possibleConstructorReturn");

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require("babel-runtime/helpers/inherits");

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var FieldInput = function (_React$Component) {
  (0, _inherits3.default)(FieldInput, _React$Component);

  function FieldInput() {
    var _temp, _this, _ret;

    (0, _classCallCheck3.default)(this, FieldInput);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = (0, _possibleConstructorReturn3.default)(this, _React$Component.call.apply(_React$Component, [this].concat(args))), _this), _this.onChange = function () {
      var _this2;

      return (_this2 = _this).__onChange__REACT_HOT_LOADER__.apply(_this2, arguments);
    }, _temp), (0, _possibleConstructorReturn3.default)(_this, _ret);
  }

  FieldInput.prototype.__onChange__REACT_HOT_LOADER__ = function __onChange__REACT_HOT_LOADER__(event) {
    this.props.onChange(event.target.value, event);
  };

  FieldInput.prototype.render = function render() {
    return _react2.default.createElement("input", (0, _extends3.default)({ type: "text" }, this.props, { onChange: this.onChange }));
  };

  return FieldInput;
}(_react2.default.Component);

var FieldText = function (_React$Component2) {
  (0, _inherits3.default)(FieldText, _React$Component2);

  function FieldText() {
    var _temp2, _this3, _ret2;

    (0, _classCallCheck3.default)(this, FieldText);

    for (var _len2 = arguments.length, args = Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
      args[_key2] = arguments[_key2];
    }

    return _ret2 = (_temp2 = (_this3 = (0, _possibleConstructorReturn3.default)(this, _React$Component2.call.apply(_React$Component2, [this].concat(args))), _this3), _this3.onChange = function () {
      var _this4;

      return (_this4 = _this3).__onChange__REACT_HOT_LOADER__.apply(_this4, arguments);
    }, _temp2), (0, _possibleConstructorReturn3.default)(_this3, _ret2);
  }

  FieldText.prototype.__onChange__REACT_HOT_LOADER__ = function __onChange__REACT_HOT_LOADER__(event) {
    this.props.onChange(event.target.value, event);
  };

  FieldText.prototype.render = function render() {
    return _react2.default.createElement("textarea", (0, _extends3.default)({}, this.props, { onChange: this.onChange }));
  };

  return FieldText;
}(_react2.default.Component);

var FieldRadio = function (_React$Component3) {
  (0, _inherits3.default)(FieldRadio, _React$Component3);

  function FieldRadio() {
    var _temp3, _this5, _ret3;

    (0, _classCallCheck3.default)(this, FieldRadio);

    for (var _len3 = arguments.length, args = Array(_len3), _key3 = 0; _key3 < _len3; _key3++) {
      args[_key3] = arguments[_key3];
    }

    return _ret3 = (_temp3 = (_this5 = (0, _possibleConstructorReturn3.default)(this, _React$Component3.call.apply(_React$Component3, [this].concat(args))), _this5), _this5.onChange = function () {
      var _this6;

      return (_this6 = _this5).__onChange__REACT_HOT_LOADER__.apply(_this6, arguments);
    }, _temp3), (0, _possibleConstructorReturn3.default)(_this5, _ret3);
  }

  FieldRadio.prototype.__onChange__REACT_HOT_LOADER__ = function __onChange__REACT_HOT_LOADER__(event) {
    this.props.onChange(event.target.checked, event);
  };

  FieldRadio.prototype.render = function render() {
    return _react2.default.createElement("input", (0, _extends3.default)({ checked: this.props.value }, this.props, { type: "radio", onChange: this.onChange }));
  };

  return FieldRadio;
}(_react2.default.Component);

var FieldCheckbox = function (_React$Component4) {
  (0, _inherits3.default)(FieldCheckbox, _React$Component4);

  function FieldCheckbox() {
    var _temp4, _this7, _ret4;

    (0, _classCallCheck3.default)(this, FieldCheckbox);

    for (var _len4 = arguments.length, args = Array(_len4), _key4 = 0; _key4 < _len4; _key4++) {
      args[_key4] = arguments[_key4];
    }

    return _ret4 = (_temp4 = (_this7 = (0, _possibleConstructorReturn3.default)(this, _React$Component4.call.apply(_React$Component4, [this].concat(args))), _this7), _this7.onChange = function () {
      var _this8;

      return (_this8 = _this7).__onChange__REACT_HOT_LOADER__.apply(_this8, arguments);
    }, _temp4), (0, _possibleConstructorReturn3.default)(_this7, _ret4);
  }

  FieldCheckbox.prototype.__onChange__REACT_HOT_LOADER__ = function __onChange__REACT_HOT_LOADER__(event) {
    this.props.onChange(event.target.checked, event);
  };

  FieldCheckbox.prototype.render = function render() {
    return _react2.default.createElement("input", (0, _extends3.default)({ checked: this.props.value }, this.props, { type: "checkbox", onChange: this.onChange }));
  };

  return FieldCheckbox;
}(_react2.default.Component);

var FieldRadioGroup = function (_React$Component5) {
  (0, _inherits3.default)(FieldRadioGroup, _React$Component5);

  function FieldRadioGroup() {
    var _temp5, _this9, _ret5;

    (0, _classCallCheck3.default)(this, FieldRadioGroup);

    for (var _len5 = arguments.length, args = Array(_len5), _key5 = 0; _key5 < _len5; _key5++) {
      args[_key5] = arguments[_key5];
    }

    return _ret5 = (_temp5 = (_this9 = (0, _possibleConstructorReturn3.default)(this, _React$Component5.call.apply(_React$Component5, [this].concat(args))), _this9), _this9.onChange = function () {
      var _this10;

      return (_this10 = _this9).__onChange__REACT_HOT_LOADER__.apply(_this10, arguments);
    }, _temp5), (0, _possibleConstructorReturn3.default)(_this9, _ret5);
  }

  FieldRadioGroup.prototype.__onChange__REACT_HOT_LOADER__ = function __onChange__REACT_HOT_LOADER__(event) {
    this.props.onChange(event.target.value, event);
  };

  FieldRadioGroup.prototype.render = function render() {
    var _this11 = this;

    var _props = this.props,
        options = _props.options,
        value = _props.value,
        other = (0, _objectWithoutProperties3.default)(_props, ["options", "value"]);

    return _react2.default.createElement(
      "div",
      null,
      options.map(function (option, index) {
        return _react2.default.createElement(
          "div",
          { className: "radio", key: index },
          _react2.default.createElement(
            "label",
            null,
            _react2.default.createElement("input", (0, _extends3.default)({ checked: option.value === value,
              value: option.value }, other, { type: "radio", onChange: _this11.onChange })),
            option.label
          )
        );
      })
    );
  };

  return FieldRadioGroup;
}(_react2.default.Component);

var FieldCheckboxGroup = function (_React$Component6) {
  (0, _inherits3.default)(FieldCheckboxGroup, _React$Component6);

  function FieldCheckboxGroup() {
    var _temp6, _this12, _ret6;

    (0, _classCallCheck3.default)(this, FieldCheckboxGroup);

    for (var _len6 = arguments.length, args = Array(_len6), _key6 = 0; _key6 < _len6; _key6++) {
      args[_key6] = arguments[_key6];
    }

    return _ret6 = (_temp6 = (_this12 = (0, _possibleConstructorReturn3.default)(this, _React$Component6.call.apply(_React$Component6, [this].concat(args))), _this12), _this12.onChange = function () {
      var _this13;

      return (_this13 = _this12).__onChange__REACT_HOT_LOADER__.apply(_this13, arguments);
    }, _temp6), (0, _possibleConstructorReturn3.default)(_this12, _ret6);
  }

  FieldCheckboxGroup.prototype.__onChange__REACT_HOT_LOADER__ = function __onChange__REACT_HOT_LOADER__(event) {
    var value = (this.props.value || []).slice(0);
    if (value.indexOf(event.target.value) === -1) {
      value.push(event.target.value);
    } else {
      value.splice(value.indexOf(event.target.value), 1);
    }
    this.props.onChange(value, event);
  };

  FieldCheckboxGroup.prototype.render = function render() {
    var _this14 = this;

    var _props2 = this.props,
        options = _props2.options,
        _props2$value = _props2.value,
        value = _props2$value === undefined ? [] : _props2$value,
        other = (0, _objectWithoutProperties3.default)(_props2, ["options", "value"]);

    return _react2.default.createElement(
      "div",
      null,
      options.map(function (option, index) {
        return _react2.default.createElement(
          "div",
          { className: "checkbox", key: index },
          _react2.default.createElement(
            "label",
            null,
            _react2.default.createElement("input", (0, _extends3.default)({ checked: value.indexOf(option.value) !== -1,
              value: option.value }, other, { type: "checkbox", onChange: _this14.onChange })),
            option.label
          )
        );
      })
    );
  };

  return FieldCheckboxGroup;
}(_react2.default.Component);

var FieldSelect = function (_React$Component7) {
  (0, _inherits3.default)(FieldSelect, _React$Component7);

  function FieldSelect() {
    var _temp7, _this15, _ret7;

    (0, _classCallCheck3.default)(this, FieldSelect);

    for (var _len7 = arguments.length, args = Array(_len7), _key7 = 0; _key7 < _len7; _key7++) {
      args[_key7] = arguments[_key7];
    }

    return _ret7 = (_temp7 = (_this15 = (0, _possibleConstructorReturn3.default)(this, _React$Component7.call.apply(_React$Component7, [this].concat(args))), _this15), _this15.onChange = function () {
      var _this16;

      return (_this16 = _this15).__onChange__REACT_HOT_LOADER__.apply(_this16, arguments);
    }, _temp7), (0, _possibleConstructorReturn3.default)(_this15, _ret7);
  }

  FieldSelect.prototype.__onChange__REACT_HOT_LOADER__ = function __onChange__REACT_HOT_LOADER__(event) {
    var multiple = this.props.multiple;

    if (multiple) {
      var options = [].concat(event.target.options);
      var value = [];
      options.forEach(function (option) {
        if (option.selected) {
          value.push(option.value);
        }
      });
      this.props.onChange(value, event);
    } else {
      this.props.onChange(event.target.value, event);
    }
  };

  FieldSelect.prototype.render = function render() {
    var _props3 = this.props,
        options = _props3.options,
        _props3$value = _props3.value,
        value = _props3$value === undefined ? '' : _props3$value,
        multiple = _props3.multiple,
        other = (0, _objectWithoutProperties3.default)(_props3, ["options", "value", "multiple"]);

    var selectValue = value;
    if (multiple && !selectValue) {
      selectValue = [];
    }
    return _react2.default.createElement(
      "select",
      (0, _extends3.default)({}, other, { value: selectValue, multiple: multiple, onChange: this.onChange }),
      options.map(function (option, index) {
        return _react2.default.createElement(
          "option",
          { key: index, value: option.value },
          option.label
        );
      })
    );
  };

  return FieldSelect;
}(_react2.default.Component);

exports.FieldInput = FieldInput;
exports.FieldText = FieldText;
exports.FieldRadio = FieldRadio;
exports.FieldCheckbox = FieldCheckbox;
exports.FieldSelect = FieldSelect;
exports.FieldRadioGroup = FieldRadioGroup;
exports.FieldCheckboxGroup = FieldCheckboxGroup;
;

var _temp8 = function () {
  if (typeof __REACT_HOT_LOADER__ === 'undefined') {
    return;
  }

  __REACT_HOT_LOADER__.register(FieldInput, "FieldInput", "E:/Projects/React/git/vb-react-form/src/fields.js");

  __REACT_HOT_LOADER__.register(FieldText, "FieldText", "E:/Projects/React/git/vb-react-form/src/fields.js");

  __REACT_HOT_LOADER__.register(FieldRadio, "FieldRadio", "E:/Projects/React/git/vb-react-form/src/fields.js");

  __REACT_HOT_LOADER__.register(FieldCheckbox, "FieldCheckbox", "E:/Projects/React/git/vb-react-form/src/fields.js");

  __REACT_HOT_LOADER__.register(FieldRadioGroup, "FieldRadioGroup", "E:/Projects/React/git/vb-react-form/src/fields.js");

  __REACT_HOT_LOADER__.register(FieldCheckboxGroup, "FieldCheckboxGroup", "E:/Projects/React/git/vb-react-form/src/fields.js");

  __REACT_HOT_LOADER__.register(FieldSelect, "FieldSelect", "E:/Projects/React/git/vb-react-form/src/fields.js");
}();

;